Skip to main content
GET
/
v2
/
account
/
sub-accounts
/
{sub-account-id}
Get sub-account by ID
curl --request GET \
  --url https://api.example.com/v2/account/sub-accounts/{sub-account-id} \
  --header 'Authorization: Bearer <token>'
{
  "subAccount": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "mainAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountInfo": {
      "mainAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspaceMainUser": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "countryTaxResidence": "<string>",
      "countrySubdivisionTaxResidence": "<string>",
      "name": "<string>",
      "identityStatus": "<string>",
      "initialized": true,
      "createdAt": "2023-11-07T05:31:56Z"
    },
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sub-account-id
string<uuid>
required

Response

OK

subAccount
object